<?php
/**
* Widget Functions.
*
* @package Digital Media
*/

function digital_media_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'digital-media'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'digital-media'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));

    $digital_media_default = digital_media_get_default_theme_options();
    $digital_media_footer_column_layout = absint( get_theme_mod( 'digital_media_footer_column_layout',$digital_media_default['digital_media_footer_column_layout'] ) );

    for( $i = 0; $i < $digital_media_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','digital-media'); }
    	if( $i == 1 ){ $count = esc_html__('Two','digital-media'); }
    	if( $i == 2 ){ $count = esc_html__('Three','digital-media'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'digital-media').$count,
	        'id' => 'digital-media-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'digital-media'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'digital_media_widgets_init');